
Redmine - Defect #6713

Git: Not able to Resetting Redmine project respository

2010-10-20 18:24 - Gareth Brown

Status: New Start date: 2010-10-20

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I've got a problem with a project respository setting in Redmine, in that; I've tried to set a repository with GIT, entered an invalid GIT

path, and now I'm stuck as I can't seem to delete the path which has been set.

Clicking delete sends me to the next page, stating that the following;

Ideally I want to delete this repository reference, and put in a SVN repository instead. I've tried to rejig the system by taking out GIT in

the Administration/Settings/Repositories panel, and leaving just subversion. However, this does nothing for the project's stuck GIT

repository setting.

Help! What file should I edit to delete these project settings? I'm a bit wary, as I don't want my project potentially corrupted.

Related issues:

Related to Redmine - Defect #4725: Error displaying Project's Settings when r... New 2010-02-03

Related to Redmine - Feature #7517: Configurable path of executable for scm a... Closed 2011-02-02

Related to Redmine - Defect #8458: Subversion: Delete invalid repository fail... Closed 2011-05-29

Related to Redmine - Feature #1406: Browse through Git branches Closed 2008-06-09

Related to Redmine - Defect #8777: Mercurial: Not able to Resetting Redmine p... Closed 2011-07-11

Associated revisions

Revision 6130 - 2011-06-30 05:46 - Toshi MARUYAMA

scm: return nil at model default_branch and override at git model (#8458, #6713).

Redmine Git and Mercurial adapter support branches.

Mercurial default branch is dafault.

But, it is popular to show all revisions on the top page for Mercurial GUI.

Revision 6220 - 2011-07-10 13:08 - Toshi MARUYAMA

scm: git: catch exception in model default_branch() (#8458, #6713).

Revision 6224 - 2011-07-10 17:47 - Toshi MARUYAMA

scm: subversion: add functional test of destroying valid repository (#8458, #6713, #4725).

Revision 6225 - 2011-07-10 17:48 - Toshi MARUYAMA

scm: subversion: add functional test of destroying invalid repository (#8458, #6713, #4725).

Revision 6230 - 2011-07-10 23:47 - Toshi MARUYAMA

scm: catch all exceptions at adapter shellout() to fork scm command (#8510, #6713, #4725, #5404).

If scm command does not exist,

Linux JRuby 1.6.2 (ruby-1.8.7-p330) raises java.io.IOException in production environment.

Revision 6233 - 2011-07-11 00:51 - Toshi MARUYAMA

scm: darcs: add functional test of destroying valid repository (#6713, #4725).

Revision 6234 - 2011-07-11 00:51 - Toshi MARUYAMA

scm: darcs: add functional test of destroying invalid repository (#6713, #4725).
Revision 6235 - 2011-07-11 01:12 - Toshi MARUYAMA

scm: bazaar: add functional test of destroying valid repository (#6713, #4725).

Revision 6236 - 2011-07-11 01:12 - Toshi MARUYAMA

scm: bazaar: add functional test of destroying invalid repository (#6713, #4725).

Revision 6238 - 2011-07-11 01:13 - Toshi MARUYAMA

scm: filesystem: add functional test of destroying valid repository (#6713, #4725).

Revision 6239 - 2011-07-11 01:14 - Toshi MARUYAMA

scm: filesystem: add functional test of destroying invalid repository (#6713, #4725).

Revision 6240 - 2011-07-11 01:55 - Toshi MARUYAMA

scm: cvs: add functional test of destroying valid repository (#6713, #4725).

Revision 6241 - 2011-07-11 01:55 - Toshi MARUYAMA

scm: cvs: add functional test of destroying invalid repository (#6713, #4725).

Revision 6243 - 2011-07-11 02:15 - Toshi MARUYAMA

scm: mercurial: add functional test of destroying valid repository (#8777, #6713, #4725).

Revision 6247 - 2011-07-11 02:56 - Toshi MARUYAMA

scm: mercurial: add functional test of destroying invalid repository (#8777, #6713, #4725).

Revision 6249 - 2011-07-11 03:09 - Toshi MARUYAMA

scm: git: add functional test of destroying valid repository (#6713, #4725).

Revision 6250 - 2011-07-11 03:10 - Toshi MARUYAMA

scm: git: add functional test of destroying invalid repository (#6713, #4725).

History

#1 - 2010-10-20 18:25 - Gareth Brown

Error Message Recieved when trying to delete the invalid GIT repository setup;

An error occurred when trying to access the repository; No such file or directory - git --git-dir "-/" branch

#2 - 2010-10-27 23:26 - Jean-Baptiste Barth

Can you provide the exact error message, the eventual error in the logs, and the informations listed in SubmittingBugs ? Everything works fine on my

installations when I try to delete repositories..

#3 - 2011-01-06 12:19 - Toshi MARUYAMA

- Category set to SCM

#4 - 2011-02-06 16:21 - Suleyman Arslan

i have same problem. Actually i don't  have git on my system and i am not using git. By mistake i put some directory text on repository settings and

save it. Now i am not able to delete repository settings.

When i click Delete button following message appear.

500

An error occurred when trying to access the repository: No such file or directory - git --git-dir "C:\Git-repository\.git/" branch --no-color

#5 - 2011-03-15 07:36 - Toshi MARUYAMA

- Subject changed from Not able to Resetting Redmine project respository to Git: Not able to Resetting Redmine project respository

#6 - 2011-06-05 09:25 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

- Target version set to 1.3.0

#7 - 2011-07-10 17:22 - Toshi MARUYAMA
- Target version deleted (1.3.0)
